discussion/urls.py
from django.contrib import admin
from django.urls import path, include


urlpatterns = [
    path('todolist/', include('todolist.urls')),
    path('admin/', admin.site.urls),
]

todolist/urls.py
from django.urls import path
from . import views
'''
	path()
		Syntax:
			path(route, view, name)

'''
app_name = 'todolist'
urlpatterns = [
  # /todoitem route
  path('', views.index, name='index'),
  
  # /todoitem/<todoitem_id> route
  path('<int:todoitem_id>/', views.todoitem, name='viewtodoitem'),

  # /register
  path('register/', views.register, name='register'),

  # /change_password
  path('change_password/', views.change_password, name='change_password'),

  # /login_view
  path('login/', views.login_view, name="login"),

  # /logout_view
  path('logout/', views.logout_view, name="logout"),

  # /add_task
  path('add_task/', views.add_task, name="add_task"),

  # /edit
  path('<int:todoitem_id>/edit', views.update_task, name="update_task"),

  # /delete
  path('<int:todoitem_id>/delete', views.delete_task, name='delete_task'),

  path('add_event/', views.add_event, name="add_event"),

  path('event/<int:eventitem_id>/', views.eventitem, name='vieweventitem'),

   path('event/<int:eventitem_id>/edit', views.update_event, name="update_event"),

     path('event/<int:eventitem_id>/delete', views.delete_event, name='delete_event'),

]

templates/base.html
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>{% block title %} To Do App {% endblock %}</title>
  
  <!-- Bootstrap -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" crossorigin="anonymous">
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
  {% include "navbar.html" %}
  {% block content %}
  {% endblock %}

  <!-- Bootstrap JS Script -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>
</body>
</html>

templates/navbar.html
<nav class="navbar navbar-expand-lg bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" href="#">To Do App</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav ms-auto">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:index' %}">Home</a>
        </li>
        
        {% if user.is_authenticated %}
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:add_task' %}">Add Task</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:add_event' %}">Add Event</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:change_password' %}">Update Profile</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:logout' %}">Logout</a>
        </li>
        {% else %}
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:login' %}">Login</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'todolist:register' %}">Register</a>
        </li>
       {% endif %}
      </ul>
    </div>
  </div>
</nav>